plist(1)

NAME
plist - list contents of output files generated by AS

SYNTAX
plist [ option(s) ] [ file(s) ]

DESCRIPTION
PLIST is a program to list the contents of code output files generated by AS, a cross assembler for a variety of microprocessors and -controllers. PLIST takes only one argument: the name of the file to list. If [ name ] does not have an extension, the default extension '.p' will be added automatically. The output consists of a single line for each record in the file, listing the target processor, target address space, number of code/data bytes, and start/stop address. Note that the difference between the start and stop address need not equal the number of bytes, since there are target processors whose memory is not bytewise-organized. The records that specify entry address and file creator have a different layout and therefore have a little bit different look in PLIST's output. PLIST accept multiple file arguments; processing of several files can be done with a single call.

COMMAND-LINE PARAMETERS
To suppress the copyright message and reduce output to the necessary minimum, add the command line argument

-q or -quiet

NATIONAL LANGUAGE SUPPORT
plist supports national languages in the same way as AS. See the manual page for asl(1) for more information about this.

RETURN CODES
plist may return with the following codes:

0   no errors.

1   incorrect command line parameters.

2   I/O-error.

3   An input file had an incorrect format.

EXAMPLES
To list the contents of a code file file1.p, use:

plist file1

There aren't more meaningful examples, as PLIST does not have any command line parameters.

TIPS
If PLIST is started without any argument, it will prompt for a file's name.

SEE ALSO
asl(1), pbind(1), p2hex(1), p2bin(1)

HISTORY
PLIST originally appeared as an AS tool in 1992, written in Borland-Pascal, and was ported to C and UNIX in 1996.

BUGS
There are too few options.

AUTHOR(S)
Alfred Arnold (alfred@ccac.rwth-aachen.de)